switched from fitpc/atom to prime/linux
Also removed a few old things that had nothing reasonable to be changed
to.
diff --git a/aos/build/aos.gyp b/aos/build/aos.gyp
index c91ab43..d9a1bf6 100644
--- a/aos/build/aos.gyp
+++ b/aos/build/aos.gyp
@@ -12,15 +12,15 @@
'<(AOS)/common/logging/logging_impl.cc',
],
'conditions': [
- ['OS=="atom"', {
+ ['OS=="linux"', {
'sources': [
- '<(AOS)/atom_code/logging/atom_logging.cc',
+ '<(AOS)/linux_code/logging/linux_logging.cc',
],
'dependencies': [
- '<(AOS)/atom_code/ipc_lib/ipc_lib.gyp:queue',
+ '<(AOS)/linux_code/ipc_lib/ipc_lib.gyp:queue',
],
'export_dependent_settings': [
- '<(AOS)/atom_code/ipc_lib/ipc_lib.gyp:queue',
+ '<(AOS)/linux_code/ipc_lib/ipc_lib.gyp:queue',
]
}],
],
diff --git a/aos/build/aos.gypi b/aos/build/aos.gypi
index 0f7d4b6..f0ebb12 100644
--- a/aos/build/aos.gypi
+++ b/aos/build/aos.gypi
@@ -7,7 +7,7 @@
'aos_abs': '<!(readlink -f <(DEPTH)/aos)', # for use in non-path contexts
# the .gyp file that has targets for the various external libraries
'EXTERNALS': '<(AOS)/build/externals.gyp',
-# the directory that gets rsynced to the atom
+# the directory that gets rsynced to the target
'rsync_dir': '<(PRODUCT_DIR)/outputs',
# The directory that loadable_module and shared_library targets get put into
# There's a target_conditions that puts loadable_modules here and
@@ -15,7 +15,7 @@
'so_dir': '<(PRODUCT_DIR)/lib',
# the directory that executables that depend on <(EXTERNALS):gtest get put into
'test_dir': '<(PRODUCT_DIR)/tests',
-# 'executable' for the atom and 'static_library' for the cRIO
+# 'executable' for linux and 'static_library' for the cRIO
# Useful for targets that should either be an executable or get compiled into
# a .out file depending on the current platform.
# 'aos_target': platform-dependent,
diff --git a/aos/build/aos_all.gyp b/aos/build/aos_all.gyp
index 0629be5..426f84e 100644
--- a/aos/build/aos_all.gyp
+++ b/aos/build/aos_all.gyp
@@ -1,22 +1,22 @@
# This file has the executables etc that AOS builds.
-# User .gyp files for the atom should depend on :Atom.
+# User .gyp files for the prime should depend on :Prime.
# User .gyp files for the crio should depend on :Crio.
{
'targets': [
{
- 'target_name': 'Atom',
+ 'target_name': 'Prime',
'type': 'none',
'variables': {
'no_rsync': 1,
},
'dependencies': [
- '../atom_code/camera/camera.gyp:CameraHTTPStreamer',
- '../atom_code/camera/camera.gyp:CameraReader',
- '../atom_code/core/core.gyp:*',
- '../atom_code/ipc_lib/ipc_lib.gyp:raw_queue_test',
- '../atom_code/ipc_lib/ipc_lib.gyp:ipc_stress_test',
- '../atom_code/starter/starter.gyp:starter_exe',
- '../atom_code/starter/starter.gyp:netconsole',
+ #'../linux_code/camera/camera.gyp:CameraHTTPStreamer',
+ #'../linux_code/camera/camera.gyp:CameraReader',
+ '../linux_code/core/core.gyp:*',
+ '../linux_code/ipc_lib/ipc_lib.gyp:raw_queue_test',
+ '../linux_code/ipc_lib/ipc_lib.gyp:ipc_stress_test',
+ '../linux_code/starter/starter.gyp:starter_exe',
+ '../linux_code/starter/starter.gyp:netconsole',
'../common/common.gyp:queue_test',
'../common/common.gyp:die_test',
'../common/util/util.gyp:trapezoid_profile_test',
diff --git a/aos/build/build.sh b/aos/build/build.sh
index 656e72d..0fe13ab 100755
--- a/aos/build/build.sh
+++ b/aos/build/build.sh
@@ -17,7 +17,7 @@
export WIND_BASE=${WIND_BASE:-"/usr/local/powerpc-wrs-vxworks/wind_base"}
-[ "${PLATFORM}" == "crio" -o "${PLATFORM}" == "atom" ] || ( echo Platform "(${PLATFORM})" must be '"crio" or "atom"'. ; exit 1 )
+[ "${PLATFORM}" == "crio" -o "${PLATFORM}" == "linux" ] || ( echo Platform "(${PLATFORM})" must be '"crio" or "linux"'. ; exit 1 )
[ "${DEBUG}" == "yes" -o "${DEBUG}" == "no" ] || ( echo Debug "(${DEBUG})" must be '"yes" or "no"'. ; exit 1 )
AOS=`dirname $0`/..
@@ -65,32 +65,22 @@
if [ "${ACTION}" == "clean" ]; then
rm -r ${OUTDIR} || true
else
- if [ "${ACTION}" != "deploy" -a "${ACTION}" != "tests" -a "${ACTION}" != "redeploy" ]; then
+ if [ "${ACTION}" != "deploy" -a "${ACTION}" != "tests" ]; then
NINJA_ACTION=${ACTION}
else
NINJA_ACTION=
fi
${NINJA} -C ${OUTDIR} ${NINJA_ACTION} "$@"
- if [[ ${ACTION} == deploy || ${ACTION} == redeploy ]]; then
- [[ ${PLATFORM} =~ .*atom ]] && \
+ if [[ ${ACTION} == deploy ]]; then
+ [[ ${PLATFORM} == linux ]] && \
rsync --progress -c -r \
${OUTDIR}/outputs/* \
- driver@`${AOS}/build/get_ip fitpc`:/home/driver/robot_code/bin
- ssh driver@`${AOS}/build/get_ip fitpc` "sync; sync; sync"
+ driver@`${AOS}/build/get_ip prime`:/home/driver/robot_code/bin
+ ssh driver@`${AOS}/build/get_ip prime` "sync; sync; sync"
[ ${PLATFORM} == crio ] && \
ncftpput `${AOS}/build/get_ip robot` / \
${OUTDIR}/lib/FRC_UserProgram.out
fi
- if [[ ${ACTION} == redeploy ]]; then
- if [[ ${PLATFORM} != crio ]]; then
- echo "Platform ${PLATFORM} does not support redeploy." 1>&2
- exit 1
- fi
- ${OUTDIR}/../out_atom/outputs/netconsole <<"END"
-unld "FRC_UserProgram.out"
-ld < FRC_UserProgram.out
-END
- fi
if [[ ${ACTION} == tests ]]; then
find ${OUTDIR}/tests -executable -exec {} \;
fi
diff --git a/aos/build/get_ip b/aos/build/get_ip
index 3b3a569..d798884 100755
--- a/aos/build/get_ip
+++ b/aos/build/get_ip
@@ -2,7 +2,7 @@
# This script provides a central location for getting IP addresses. It uses
# output/ip_base.txt as the first 3 parts and then adds on whatever is
-# correct for its first argument (fitpc or robot).
+# correct for its first argument (prime or robot).
# It will create output/ip_base.txt with a default value if it does not already
# exist.
@@ -16,8 +16,8 @@
BASE=`cat ${FILE}`
case $1 in
- fitpc)
- # This is the IP address that we use for our fitpc.
+ prime)
+ # This is the IP address that we use for the prime.
echo ${BASE}.179 ;;
robot)
# This is the IP address that the cRIO has to be on.
diff --git a/aos/build/queues/compiler.rb b/aos/build/queues/compiler.rb
index aef5cbf..28e206b 100644
--- a/aos/build/queues/compiler.rb
+++ b/aos/build/queues/compiler.rb
@@ -103,7 +103,7 @@
cpp_tree.add_cc_using("::aos::to_network")
cpp_tree.add_cc_using("::aos::to_host")
cpp_tree.add_swig_header_include("aos/common/queue.h".inspect)
- cpp_tree.add_swig_body_include("aos/atom_code/queue-tmpl.h".inspect)
+ cpp_tree.add_swig_body_include("aos/linux_code/queue-tmpl.h".inspect)
cpp_tree.add_swig_header_include("aos/common/time.h".inspect)
cpp_tree.add_swig_include((rel_path + ".h").inspect)